/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.farm.fieldplan;

import java.util.List;
import nl.cloudfarming.client.field.model.PartField;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.Children;
import org.openide.nodes.Node;
import org.openide.util.NbBundle;
import org.openide.util.NbBundle.Messages;

/**
 *
 * @author Gerben Feenstra
 */
@Messages({
   "farm-fieldplan.project.fieldplan.node.aggregate_partfields.name=PartFields"
})
public class FieldPlanChildFactory extends ChildFactory<Node> {

    private static final String PARTFIELD_AGGREGATENODE_ICON = "nl/cloudfarming/client/farm/fieldplan/partfield.png"; 

    private List<PartField> partFields;
    
    public FieldPlanChildFactory(List<PartField> partFields){
        this.partFields = partFields;
    }
        
    @Override
    protected boolean createKeys(List<Node> list) {
        // Partfield
        Children partFieldChildren = Children.create(new PartFieldNodeFactory(partFields), true);
        list.add(new PartFieldsAggregateNode(partFieldChildren, PARTFIELD_AGGREGATENODE_ICON, NbBundle.getMessage(FieldPlanChildFactory.class, "farm-fieldplan.project.fieldplan.node.aggregate_partfields.name")));
        return true;
        
    }

    @Override
    protected Node createNodeForKey(Node key) {
        return key;
    }
}
